var timer = false;
var tabnum = 0;
var w_window = 0;
var BREAKPOINT_SP = 480;
var BREAKPOINT_TABLET = 768;

function initTabOrAccordion(){

	if (w_window <= BREAKPOINT_SP) {
		$('.tm_tabaccordion_area').each(function (){
			if($(this).find('.order_sp_1').length){
				var temp = $('<div></div>');
				$(temp).append($(this).find('.order_sp_1'));
				$(this).find('.order_sp_1').remove();
				if($(this).find('.order_sp_2').length){
					$(temp).append($(this).find('.order_sp_2'));
					$(this).find('.order_sp_2').remove();
				}
				if($(this).find('.order_sp_3').length){
					$(temp).append($(this).find('.order_sp_3'));
					$(this).find('.order_sp_3').remove();
				}
				if($(this).find('.order_sp_4').length){
					$(temp).append($(this).find('.order_sp_4'));
					$(this).find('.order_sp_4').remove();
				}
				$(this).append(temp.html());
			}
		});
		initAccordion();
		$('.tm_tabaccordion_area').each(function (){
			if( $(this).find('.tm_tab').hasClass("open")){
				$(this).find('.tm_tab.open .tm_tab_body').slideDown('fast');
			}
		});
	}
	else{
		$('.tm_tabaccordion_area').each(function (){
			if($(this).find('.order_pc_1').length){
				var temp = $('<div></div>');
				$(temp).append($(this).find('.order_pc_1'));
				$(this).find('.order_pc_1').remove();
				if($(this).find('.order_pc_2').length){
					$(temp).append($(this).find('.order_pc_2'));
					$(this).find('.order_pc_2').remove();
				}
				if($(this).find('.order_pc_3').length){
					$(temp).append($(this).find('.order_pc_3'));
					$(this).find('.order_pc_3').remove();
				}
				if($(this).find('.order_pc_4').length){
					$(temp).append($(this).find('.order_pc_4'));
					$(this).find('.order_pc_4').remove();
				}
				$(this).append(temp.html());
			}
		});

		initTab();
		$('.tm_tabaccordion_area').each(function (){
			var tabnum = $(this).find('.tm_tab').length;
			for( var i = 0; i < tabnum; i++ ){
				if( $(this).find('.tm_tab').eq(i).hasClass("open")){
					$(this).find('.tm_tab').removeClass("open");
					$(this).find('.tm_tab').eq(i).addClass("open");
					break;
				}
			}
			if( i >= tabnum){
				$(this).find('.tm_tab').removeClass("open");
				$(this).find('.tm_tab').eq(0).addClass("open");
			}
		});
		$('.tm_tab.open .tm_tab_title a').click();
	}
}

function initTab(){

	$('.tm_tabaccordion_area').each(function (){
		var tabnum = $(this).find('.tm_tab').length;
		var tab_w = ($(this).width()) / tabnum;
		$(this).find('.tm_tab').css('position','absolute');
		$(this).find('.tm_tab_title').css('position', 'absolute');
		$(this).find('.tm_tab_body').css('position','relative');
		$(this).find('.tm_tab_body').css('top',$(this).find('.tm_tab_title').height()+'px');

		$(this).find('.tm_tab_title').css('width', tab_w + 'px');

		for( var i = 1; i < tabnum; i++ ){
			$(this).find('.tm_tab_title').eq(i).css('left', (tab_w * i) + 'px');
		}

		$(this).find('.tm_tab_title a').off('click');
		$(this).find('.tm_tab_title a').click( function(){
			var target = this.href.substring( this.href.length - 1, this.href.length );
			if( !isNaN(parseInt(target))){
				$(this).parents('.tm_tabaccordion_area').find('.tm_tab.open').removeClass("open");
				$(this).parents('.tm_tabaccordion_area').find('.tm_tab_body').css('display','none');
				$(this).parents('.tm_tabaccordion_area').find('#tab'+target+' .tm_tab_body').show();
				$(this).parents('.tm_tabaccordion_area').find('#tab'+target).addClass("open");
				$('.tm_tabaccordion_area').each(function (){
					$(this).css('height', $(this).find('.tm_tab.open').outerHeight() + $(this).find('.tm_tab_title').outerHeight() + 'px');
				});
				return false;
			}
		});
	});
}

function initAccordion(){
	$('.tm_tabaccordion_area').each(function (){
		var tabnum = $(this).find('.tm_tab').length;
		$(this).find('.tm_tab').css('position','static');
		$(this).find('.tm_tab_title').css('position', 'static');
		$(this).find('.tm_tab_body').css('position','static');
		$(this).find('.tm_tab_body').css('top','0px');
		$(this).find('.tm_tab_title').css('width', 'auto');
		$(this).find('.tm_tab_title').css('left', '0px');
		$(this).css('height', 'auto');
		$(this).find('.tm_tab_body').hide();

		$(this).find('.tm_tab_title a').off('click');
		$(this).find('.tm_tab_title a').click( function (){
			var target = this.href.substring( this.href.length - 1, this.href.length );
			if( !isNaN(parseInt(target))){
				var clickedTab = $(this).parents('.tm_tab');
				if(clickedTab.hasClass('open')){
					clickedTab.removeClass('open');
					clickedTab.find('.tm_tab_body').slideUp('fast');
				}
				else{
					clickedTab.addClass('open');
					clickedTab.find('.tm_tab_body').slideDown('fast');
				}
				return false;
			}
		});
	});
}

function initLayout(){
	if( BREAKPOINT_SP >= w_window ) {
		$('body').removeClass('pc');
		$('body').removeClass('tablet');
		$('body').addClass('sp');
		$('#local_nav_body').slideUp(0);
		$('#local_nav').addClass("hidden");
	}
	else if( BREAKPOINT_TABLET >= w_window ) {
		$('body').removeClass('pc');
		$('body').addClass('tablet');
		$('body').removeClass('sp');
		$('#local_nav_body').slideUp(0);
		$('#local_nav').addClass("hidden");
	}
	else{
		$('body').addClass('pc');
		$('body').removeClass('tablet');
		$('body').removeClass('sp');
		$('#local_nav_body').slideDown(0);
		$('#local_nav').removeClass("hidden");
	}
}

function scrollEvent(){
	if(100 < $(window).scrollTop()){
		$('#scroll_to_top').animate({ opacity: "1"}, 300);
	}
	else{
		$('#scroll_to_top').animate({ opacity: "0"}, 300);
	}
}

function getWindowSize(){
	if(navigator.userAgent.search(/Android/) != -1){
		return document.documentElement.clientWidth;
	}
	else{
		return window.innerWidth;
	}
}

$(window).on('resize', function() {
	var w_window_old = w_window;
	w_window = getWindowSize();

	// 横幅が変わった時のみ処理する
	if( w_window_old != w_window ){
		initLayout();

		/*** タブ切り替え ***/
		if( 0 < $('.tm_tabaccordion_area').length){
			/* 数ミリ秒待たないとうまく表示されない */
			if (timer !== false) {
				clearTimeout(timer);
			}
			timer = setTimeout(function() {
				initTabOrAccordion();
			}, 200);
		}
	}
});

$(document).ready(function(){
	w_window = getWindowSize();

	// スマホの場合は、アコーディオンを全て閉じる
	if( BREAKPOINT_SP >= w_window ) {
		$('.tm_tab').removeClass('open');
	}

	/*** タブ切り替え ***/
	if( 0 < $('.tm_tabaccordion_area').length){
		setTimeout(function() {
			initTabOrAccordion();
			if(( location.hash.length ) && ( $(location.hash + '.tm_tab').length )){
				$(location.hash + '.tm_tab .tm_tab_title a').click();
				$(window).scrollTop(0);
			}
		}, 200);
	}

	initLayout();

	$(document).on('click', '.sp #btn_menu, .tablet #btn_menu', function (){
		$('#local_nav').removeClass("hidden");
		$('#local_nav_body').slideDown('fast');
	});
	$(document).on('click', '.sp #local_nav, .tablet #local_nav', function (){
		$('#local_nav_body').slideUp('fast',function (){
			$('#local_nav').addClass("hidden");
		});
	});

	$('#scroll_to_top').css('opacity',0);
	$('#scroll_to_top').click(function(event){
		$('html, body').animate({scrollTop:0}, 300);
		event.preventDefault();
	});

	setInterval( scrollEvent, 500);

	$('.scroll_to_anchor').click(function(event){
		var target = $(this).attr("href").match(/#.*$/);
		if((null != target) && ('#' != target)){
			target += "";
			$('html, body').animate({scrollTop:$(target).offset().top}, 500);
			event.preventDefault();
		}
	});
});
